import request from '@/config/axios'

export interface StScheduleSuggestPageReqVO extends PageParam {
  title: string
  scheduleObj: string
  name: string
  predictTime: Date
  outIds: []
}

// 查询ScheduleModel列表
export const getScheduleSuggestPage = (params: ScheduleSuggestPageReqVO) => {
  return request.get({ url: '/model/sche/suggest/page', params })
}

export const getListByOut = (data: StScheduleSuggestPageReqVO) => {
  return request.post({ url: '/model/sche/suggest/list-out', data })
}
